stages:
  - test
  - quality-assurance

py311:
  stage: test
  image: python:3.11-alpine
  before_script:
    - apk add --no-cache libmagic
    - apk add --no-cache git  # Useful for django-haystack, remove when the newer versions are in PyPI
    - pip install tox --no-cache-dir
  script: tox -e py311

py312:
  stage: test
  image: python:3.12-alpine
  before_script:
    - apk add --no-cache libmagic
    - apk add --no-cache git  # Useful for django-haystack, remove when the newer versions are in PyPI
    - pip install tox --no-cache-dir
  script: tox -e py312

linters:
  stage: quality-assurance
  image: python:3-alpine
  before_script:
    - pip install tox --no-cache-dir
  script: tox -e linters
  allow_failure: true
